# CbcCompareBase Class Reference

`#include <CbcCompareBase.hpp>`

Inheritance diagram for CbcCompareBase:
[legend]
Collaboration diagram for CbcCompareBase:
[legend]

List of all members.

## Public Member Functions
| CbcCompareBase ()
virtual bool | newSolution (CbcModel *)
| Reconsider behaviour after discovering a new solution.
virtual bool | newSolution (CbcModel *, double, int)
| Reconsider behaviour after discovering a new solution.
virtual bool | every1000Nodes (CbcModel *, int)
virtual bool | fullScan () const
| Returns true if wants code to do scan with alternate criterion NOTE - this is temporarily disabled.
virtual | ~CbcCompareBase ()
virtual void | generateCpp (FILE *)
| Create C++ lines to get to current state.
| CbcCompareBase (const CbcCompareBase &rhs)
CbcCompareBase & | operator= (const CbcCompareBase &rhs)
virtual CbcCompareBase * | clone () const
| Clone.
virtual bool | test (CbcNode *, CbcNode *)
| This is test function.
virtual bool | alternateTest (CbcNode *x, CbcNode *y)
| This is alternate test function.
bool | operator() (CbcNode *x, CbcNode *y)
bool | equalityTest (CbcNode *x, CbcNode *y) const
| Further test if everything else equal.
void | sayThreaded ()
| Say threaded.
## Protected Attributes
CbcCompareBase * | test_
bool | threaded_

## Detailed Description

Definition at line 27 of file CbcCompareBase.hpp.

## Constructor & Destructor Documentation

CbcCompareBase::CbcCompareBase | ( |  | ) | `[inline]`

Definition at line 30 of file CbcCompareBase.hpp.

virtual CbcCompareBase::~CbcCompareBase | ( |  | ) | `[inline, virtual]`

Definition at line 75 of file CbcCompareBase.hpp.

CbcCompareBase::CbcCompareBase | ( | const CbcCompareBase & | rhs | ) | `[inline]`

Definition at line 80 of file CbcCompareBase.hpp.

## Member Function Documentation

virtual bool CbcCompareBase::newSolution | ( | CbcModel * |  | ) | `[inline, virtual]`

Reconsider behaviour after discovering a new solution.

This allows any method to change its behaviour. It is called after each solution.

The method should return true if changes are made which will alter the evaluation criteria applied to a node. (So that in cases where the search tree is sorted, it can be properly rebuilt.)

Definition at line 45 of file CbcCompareBase.hpp.

virtual bool CbcCompareBase::newSolution | ( | CbcModel * | ,
|  | double | ,
|  | int |  |
| ) |  |  | `[inline, virtual]`

Reconsider behaviour after discovering a new solution.

This allows any method to change its behaviour. It is called after each solution.

The method should return true if changes are made which will alter the evaluation criteria applied to a node. (So that in cases where the search tree is sorted, it can be properly rebuilt.)

Reimplemented in CbcCompareUser, and CbcCompareDefault.

Definition at line 57 of file CbcCompareBase.hpp.

virtual bool CbcCompareBase::every1000Nodes | ( | CbcModel * | ,
|  | int |  |
| ) |  |  | `[inline, virtual]`

Reimplemented in CbcCompareUser, and CbcCompareDefault.

Definition at line 64 of file CbcCompareBase.hpp.

virtual bool CbcCompareBase::fullScan | ( |  | ) | const`[inline, virtual]`

Returns true if wants code to do scan with alternate criterion NOTE - this is temporarily disabled.

Reimplemented in CbcCompareUser.

Definition at line 71 of file CbcCompareBase.hpp.

virtual void CbcCompareBase::generateCpp | ( | FILE * |  | ) | `[inline, virtual]`

Create C++ lines to get to current state.

Reimplemented in CbcCompareDefault, CbcCompareDepth, CbcCompareEstimate, and CbcCompareObjective.

Definition at line 77 of file CbcCompareBase.hpp.

CbcCompareBase& CbcCompareBase::operator= | ( | const CbcCompareBase & | rhs | ) | `[inline]`

Reimplemented in CbcCompareUser, CbcCompareDefault, CbcCompareDepth, CbcCompareEstimate, and CbcCompareObjective.

Definition at line 86 of file CbcCompareBase.hpp.

virtual CbcCompareBase* CbcCompareBase::clone | ( |  | ) | const`[inline, virtual]`

Clone.

Reimplemented in CbcCompareUser, CbcCompareDefault, CbcCompareDepth, CbcCompareEstimate, and CbcCompareObjective.

Definition at line 95 of file CbcCompareBase.hpp.

virtual bool CbcCompareBase::test | ( | CbcNode * | ,
|  | CbcNode * |  |
| ) |  |  | `[inline, virtual]`

This is test function.

Reimplemented in CbcCompareUser, CbcCompareDefault, CbcCompareDepth, CbcCompareEstimate, and CbcCompareObjective.

Definition at line 101 of file CbcCompareBase.hpp.

virtual bool CbcCompareBase::alternateTest | ( | CbcNode * | x,
|  | CbcNode * | y |
| ) |  |  | `[inline, virtual]`

This is alternate test function.

Reimplemented in CbcCompareUser.

Definition at line 106 of file CbcCompareBase.hpp.

bool CbcCompareBase::operator() | ( | CbcNode * | x,
|  | CbcNode * | y |
| ) |  |  | `[inline]`

Definition at line 110 of file CbcCompareBase.hpp.

bool CbcCompareBase::equalityTest | ( | CbcNode * | x,
|  | CbcNode * | y |
| ) |  |  | const`[inline]`

Further test if everything else equal.

Definition at line 114 of file CbcCompareBase.hpp.

void CbcCompareBase::sayThreaded | ( |  | ) | `[inline]`

Say threaded.

Definition at line 132 of file CbcCompareBase.hpp.

## Member Data Documentation

CbcCompareBase* CbcCompareBase::test_`[protected]`

Definition at line 136 of file CbcCompareBase.hpp.

bool CbcCompareBase::threaded_`[protected]`

Definition at line 138 of file CbcCompareBase.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcCompareBase.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines